%define tarname pyFltk

Summary:	Python wrapper for the FLTK library
Name:		python-pyfltk
Version:	1.3.0
Release:	%mkrel 2
Source0:	http://downloads.sourceforge.net/pyfltk/%{tarname}-%{version}.tar.gz
Patch0:		pyFltk-1.3.0rc1-build.patch
License:	GPLv2
Group:		Development/Python
Url:		http://pyfltk.sourceforge.net/
BuildRequires:	fltk-devel >= 1.3.0
BuildRequires:	python-devel
BuildRequires:	swig

%description 
pyFLTK is a Python wrapper for the Fast Light Tool Kit
cross-platform graphical user-interface library.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1 -b .cflags

# (wally) With P0, disable Werror_cflags temporarily to get pkg build
%define Werror_cflags   %nil
sed -i -e 's|@MGA_CFLAGS@|%{optflags}|' setup.py

%build
CPPFLAGS="-DFL_INTERNALS %ldflags" python setup.py build

%install
python setup.py install --root=%{buildroot}

rm -rf %{buildroot}%{py_platsitedir}/fltk/docs
rm -rf %{buildroot}%{py_platsitedir}/fltk/test

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO
%{py_platsitedir}/fltk/*
%{py_platsitedir}/*info


%changelog
* Mon Aug 08 2016 adrianomorselli <adrianomorselli> 1.3.0-2uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 1.3.0-2pclos2016
- rebuild for updates

